diff --git a/doc/src/sgml/stylesheet.css b/doc/src/sgml/stylesheet.css
index 86a8edb926..866636eccf 100644
--- a/doc/src/sgml/stylesheet.css
+++ b/doc/src/sgml/stylesheet.css
@@ -175,6 +175,20 @@ acronym		{ font-style: inherit; }
 a.id_link {
 	color: inherit;
 	visibility: hidden;
+	text-decoration: none;
+}
+
+a.id_link:hover:after {
+	content: "Pemalink to this heading";
+	font-size: 10px;
+	font-weight: normal;
+	text-decoration: none;
+	border: 1px solid #444444;
+	text-align: center;
+	border-radius: 5px 5px 5px 5px;
+	padding: 5px 5px 5px 5px;
+	position: relative;
+	top: 20px;
 }
 
 *:hover > a.id_link {
